﻿using Syncfusion.PivotAnalysis.Base;
using System;
using System.Windows;

namespace pivot
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        TimeSpan IndexTimeSlice;
        public MainWindow()
        {
            IndexTimeSlice = TimeSpan.FromSeconds(0);
            InitializeComponent();
            pivot.ItemSource = DataAccess.GetDataTable(100000);

            pivot.PivotRows.Add(new PivotItem() { FieldHeader = "Client", FieldMappingName = "Client", TotalHeader = "Total" });
            pivot.PivotRows.Add(new PivotItem() { FieldHeader = "Campaign", FieldMappingName = "Campaign", TotalHeader = "Total" });
            pivot.PivotRows.Add(new PivotItem() { FieldHeader = "ColH", FieldMappingName = "ColH", TotalHeader = "Total" });

            pivot.PivotColumns.Add(new PivotItem() { FieldHeader = "Year", FieldMappingName = "Date", Format = "yyyy", TotalHeader = "Total" });
        }

        private void pivot_Loaded(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(DateTime.Now.Subtract(IndexTimeSlice).Second.ToString());
        }
    }
}
